"""
CLI tool that queries AMQP server for events and does something with them

CL args:
- event type?
- job name?
- job id?

- Connect to AMQP server using make_amqp_connection()
- Establish channel and declare workspaces.workflow-service.workflow-status exchange
- Declare queue in channel
- Execute basic_consume on exchange with queue and with binding key '#' to collect all results
- Start consuming
- Finish consuming at some point?
"""

import channels.amqp_helpers
from workspaces.schema import WorkflowEvent, CapabilityEvent

# TODO: ummm... Everything...
class EventCatcher:

    def __init__(self):
        self.make_amqp_connection()


    def update_capability_from_workflow(self, event: WorkflowEvent) -> CapabilityEvent:
        """
        A method to take an incoming workflow_event and converts it into the shape of a capability_event
        :param event:
        :return: CapabilityEvent
        """
        raise NotImplementedError

    def make_amqp_connection(self):
        """
        A method to connect to AMQP server
        :return:
        """
        raise NotImplementedError

